ExpiringMap (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.utils
Class ExpiringMap<K,V>

    java.lang.Object
      org.apache.cassandra.utils.ExpiringMap<K,V>

    public class ExpiringMap<K,V>

extends java.lang.Object

Constructor Summary
`ExpiringMap(long defaultExpiration)`
`ExpiringMap(long defaultExpiration, com.google.common.base.Function<Pair<K,V>,?> postExpireHook)`

Method Summary
`boolean` | `containsKey(K key)`
`V` | `get(K key)`
`long` | `getAge(K key)`
`boolean` | `isEmpty()`
`java.util.Set<K>` | `keySet()`
`V` | `put(K key, V value)`
`V` | `put(K key, V value, long timeout)`
`V` | `remove(K key)`
`void` | `reset()`
`void` | `shutdown()`
`int` | `size()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExpiringMap

    public ExpiringMap(long defaultExpiration)

### ExpiringMap

    public ExpiringMap(long defaultExpiration,
                       com.google.common.base.Function<Pair<K,V>,?> postExpireHook)

Parameters:
  `defaultExpiration` - the TTL for objects in the cache in milliseconds

Method Detail

### shutdown

    public void shutdown()

### reset

    public void reset()

### put

    public V put(K key,
                 V value)

### put

    public V put(K key,
                 V value,
                 long timeout)

### get

    public V get(K key)

### remove

    public V remove(K key)

### getAge

    public long getAge(K key)

### size

    public int size()

### containsKey

    public boolean containsKey(K key)

### isEmpty

    public boolean isEmpty()

### keySet

    public java.util.Set<K> keySet()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation